<h1>List#show</h1>
<p><%= @list.name %></p>
<h1>Todos</h1>
<table>
  <tr>
    <td>Description</td>
    <td>Status</td>
    <td>Update</td>
    <td>Action</td>
  </tr>
  <% @list.todos.each do |todo| %>
    <tr>
      <td><%= todo.description %></td>
      <td>
        <%= todo.status ? 'Completed' : 'Not yet' %>
      </td>
      <td>
        <%= link_to 'Update status', flip_status_list_todo_path(list_id: @list.id, id: todo.id) %>
      </td>
      <td>
        <%= link_to 'Delete', [@list, todo], method: :delete %>
      </td>
    </tr>
  <% end %>
</table>


<%= form_with model: [@list, @todo], local: true do |f| %>
  <% flash.each do |key, value| %>
    <%= content_tag :div, value, class: "flash #{key}" %>
  <% end %>
  <%= f.text_field :description %>
  <%= f.submit 'save' %>
<% end %>
